Package org.apache.lucene.queryparser.flexible.standard.parser

## Class StandardSyntaxParserTokenManager

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.parser.StandardSyntaxParserTokenManager

- All Implemented Interfaces:
    `StandardSyntaxParserConstants`

      public class StandardSyntaxParserTokenManager
      extends Object
      implements StandardSyntaxParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `curChar` |
    `protected CharStream` | `input_stream` |
    `static int[]` | `jjnewLexState` | Lex State array.
    `static String[]` | `jjstrLiteralImages` | Token literal values.
    `static String[]` | `lexStateNames` | Lexer state names.

    - ### Fields inherited from interface org.apache.lucene.queryparser.flexible.standard.parser.StandardSyntaxParserConstants

      `_ESCAPED_CHAR, _NUM_CHAR, _QUOTED_CHAR, _TERM_CHAR, _TERM_START_CHAR, _WHITESPACE, AFTER, AND, ATLEAST, BEFORE, CARAT, CONTAINED_BY, CONTAINING, DEFAULT, EOF, EXTEND, FN_OR, FN_PREFIX, Function, FUZZYTERM, LPAREN, MAXGAPS, MAXWIDTH, MINUS, NON_OVERLAPPING, NOT, NOT_CONTAINED_BY, NOT_CONTAINING, NOT_WITHIN, NUMBER, OP_COLON, OP_EQUAL, OP_LESSTHAN, OP_LESSTHANEQ, OP_MORETHAN, OP_MORETHANEQ, OR, ORDERED, OVERLAPPING, PHRASE, PLUS, QUOTED, Range, RANGE_GOOP, RANGE_QUOTED, RANGE_TO, RANGEEX_END, RANGEEX_START, RANGEIN_END, RANGEIN_START, REGEXPTERM, RPAREN, TERM, TILDE, tokenImage, UNORDERED, UNORDERED_NO_OVERLAPS, WILDCARD, WITHIN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardSyntaxParserTokenManager​(CharStream stream)` | Constructor.
    `StandardSyntaxParserTokenManager​(CharStream stream, int lexState)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Token` | `getNextToken()` | Get the next Token.
    `protected Token` | `jjFillToken()` |
    `void` | `ReInit​(CharStream stream)` | Reinitialise parser.
    `void` | `ReInit​(CharStream stream, int lexState)` | Reinitialise parser.
    `void` | `SwitchTo​(int lexState)` | Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jjstrLiteralImages

          public static final String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

    - #### input_stream

          protected CharStream input_stream

    - #### curChar

          protected int curChar

  - ### Constructor Detail

    - #### StandardSyntaxParserTokenManager

          public StandardSyntaxParserTokenManager​(CharStream stream)

      Constructor.

    - #### StandardSyntaxParserTokenManager

          public StandardSyntaxParserTokenManager​(CharStream stream,
                                                  int lexState)

      Constructor.

  - ### Method Detail

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

    - #### ReInit

          public void ReInit​(CharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit​(CharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo​(int lexState)

      Switch to specified lex state.